Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.tiff
Class TIFTags

    java.lang.Object
      |
      +--com.sun.jimi.core.decoder.tiff.TIFTags

public class TIFTags
extends java.lang.Object

Field Summary
`static int` | `ARTIST`
`static int` | `BADFAXLINES`
`static int` | `BITSPERSAMPLE`
`static int` | `CELLLENGTH`
`static int` | `CELLWIDTH`
`static int` | `CLEANFAXDATA`
`static int` | `CLEANFAXDATA_CLEAN`
`static int` | `CLEANFAXDATA_REGENERATED`
`static int` | `CLEANFAXDATA_UNCLEAN`
`static int` | `COLORMAP`
`static int` | `COLORRESPONSEUNIT`
`static int` | `COLORRESPONSEUNIT_100000S`
`static int` | `COLORRESPONSEUNIT_10000S`
`static int` | `COLORRESPONSEUNIT_1000S`
`static int` | `COLORRESPONSEUNIT_100S`
`static int` | `COLORRESPONSEUNIT_10S`
`static int` | `COMPRESSION`
`static int` | `COMPRESSION_CCITT1D`
`static int` | `COMPRESSION_CCITTFAX3`
`static int` | `COMPRESSION_CCITTFAX4`
`static int` | `COMPRESSION_CCITTRLEW`
`static int` | `COMPRESSION_JPEG`
`static int` | `COMPRESSION_LZW`
`static int` | `COMPRESSION_NEXT`
`static int` | `COMPRESSION_NONE`
`static int` | `COMPRESSION_OJPEG`
`static int` | `COMPRESSION_PACKBITS`
`static int` | `COMPRESSION_THUNDERSCAN`
`static int` | `CONSECUTIVEBADFAXLINES`
`static int` | `COPYRIGHT`
`static int` | `DATETIME`
`static int` | `DOCUMENTNAME`
`static int` | `DOTRANGE`
`static int` | `EXTRASAMPLE_ASSOCALPHA`
`static int` | `EXTRASAMPLE_UNASSALPHA`
`static int` | `EXTRASAMPLE_UNSPECIFIED`
`static int` | `EXTRASAMPLES`
`static int` | `FILETYPE_MASK`
`static int` | `FILETYPE_PAGE`
`static int` | `FILETYPE_REDUCEDIMAGE`
`static int` | `FILLORDER`
`static int` | `FILLORDER_LSB2MSB`
`static int` | `FILLORDER_MSB2LSB`
`static int` | `FREEBYTECOUNTS`
`static int` | `FREEOFFSETS`
`static int` | `GRAYRESPONSECURVE`
`static int` | `GRAYRESPONSEUNIT`
`static int` | `GRAYRESPONSEUNIT_100000S`
`static int` | `GRAYRESPONSEUNIT_10000S`
`static int` | `GRAYRESPONSEUNIT_1000S`
`static int` | `GRAYRESPONSEUNIT_100S`
`static int` | `GRAYRESPONSEUNIT_10S`
`static int` | `HALFTONEHINTS`
`static int` | `HOSTCOMPUTER`
`static int` | `IMAGEDESCRIPTION`
`static int` | `IMAGELENGTH`
`static int` | `IMAGEWIDTH`
`static int` | `INKNAMES`
`static int` | `INKSET`
`static int` | `JPEGACTABLES`
`static int` | `JPEGDCTABLES`
`static int` | `JPEGINTERCHANGEFORMAT`
`static int` | `JPEGINTERCHANGEFORMATLENGTH`
`static int` | `JPEGLOSSLESSPREDICTORS`
`static int` | `JPEGPOINTTRANSFORMS`
`static int` | `JPEGPROC`
`static int` | `JPEGPROC_BASELINE`
`static int` | `JPEGPROC_LOSSLESS`
`static int` | `JPEGQTABLES`
`static int` | `JPEGRESTARTINTERVAL`
`static int` | `MAKE`
`static int` | `MAXSAMPLEVALUE`
`static int` | `MINSAMPLEVALUE`
`static int` | `MODEL`
`static int` | `NEWSUBFILETYPE`
`static int` | `NUMBEROFINKS`
`static int` | `OFILETYPE_IMAGE`
`static int` | `OFILETYPE_PAGE`
`static int` | `OFILETYPE_REDUCEDIMAGE`
`static int` | `ORIENTATION`
`static int` | `ORIENTATION_BOTLEFT`
`static int` | `ORIENTATION_BOTRIGHT`
`static int` | `ORIENTATION_LEFTBOT`
`static int` | `ORIENTATION_LEFTTOP`
`static int` | `ORIENTATION_RIGHTBOT`
`static int` | `ORIENTATION_RIGHTTOP`
`static int` | `ORIENTATION_TOPLEFT` 1 = The 0th row represents the visual top of the image, and the 0th column represents the visual left-hand side.
`static int` | `ORIENTATION_TOPRIGHT`
`static int` | `PAGENAME`
`static int` | `PAGENUMBER`
`static int` | `PHOTOMETRIC_BLACKISZERO`
`static int` | `PHOTOMETRIC_CIELAB`
`static int` | `PHOTOMETRIC_MASK`
`static int` | `PHOTOMETRIC_PALETTE`
`static int` | `PHOTOMETRIC_RGB`
`static int` | `PHOTOMETRIC_SEPERATED`
`static int` | `PHOTOMETRIC_WHITEISZERO`
`static int` | `PHOTOMETRIC_YCBCR`
`static int` | `PHOTOMETRICINTERPRETATION`
`static int` | `PLANARCONFIG_CONTIG`
`static int` | `PLANARCONFIG_SEPARATE`
`static int` | `PLANARCONFIGURATION`
`static int` | `PREDICTOR`
`static int` | `PREDICTOR_HORIZONTAL`
`static int` | `PREDICTOR_NONE`
`static int` | `PRIMARYCHROMATICITIES`
`static int` | `REFERENCEBLACKWHITE`
`static int` | `RESOLUTIONUNIT`
`static int` | `RESUNIT_CENTIMETER`
`static int` | `RESUNIT_INCH`
`static int` | `RESUNIT_NONE`
`static int` | `ROWSPERSTRIP`
`static int` | `SAMPLEFORMAT`
`static int` | `SAMPLEFORMAT_IEEEFP`
`static int` | `SAMPLEFORMAT_INT`
`static int` | `SAMPLEFORMAT_UINT`
`static int` | `SAMPLEFORMAT_VOID`
`static int` | `SAMPLESPERPIXEL`
`static int` | `SMAXSAMPLEVALUE`
`static int` | `SMINSAMPLEVALUE`
`static int` | `SOFTWARE`
`static int` | `STRIPBYTECOUNTS`
`static int` | `STRIPOFFSETS`
`static int` | `SUBFILETYPE`
`static int` | `T4OPT_2DENCODING`
`static int` | `T4OPT_FILLBITS`
`static int` | `T4OPT_UNCOMPRESSED`
`static int` | `T4OPTIONS`
`static int` | `T6OPT_UNCOMPRESSED`
`static int` | `T6OPTIONS`
`static int` | `TARGETPRINTER`
`static int` | `THRESHHOLD_BILEVEL`
`static int` | `THRESHHOLD_HALFTONE`
`static int` | `THRESHHOLDING`
`static int` | `THRESHOLD_ERRORDIFFUSE`
`static int` | `TILEBYTECOUNTS`
`static int` | `TILELENGTH`
`static int` | `TILEOFFSETS`
`static int` | `TILEWIDTH`
`static int` | `TRANSFERFUNCTION`
`static int` | `TRANSFERRANGE`
`static int` | `WHITEPOINT`
`static int` | `XPOSITION`
`static int` | `XRESOLUTION`
`static int` | `YCBCRCOEFFICIENTS`
`static int` | `YCBCRPOSITIONING`
`static int` | `YCBCRSUBSAMPLING`
`static int` | `YPOSITION`
`static int` | `YRESOLUTION`

Constructor Summary
`TIFTags()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREDICTOR_NONE

    public static final int PREDICTOR_NONE

### PREDICTOR_HORIZONTAL

    public static final int PREDICTOR_HORIZONTAL

### CLEANFAXDATA_CLEAN

    public static final int CLEANFAXDATA_CLEAN

### CLEANFAXDATA_REGENERATED

    public static final int CLEANFAXDATA_REGENERATED

### CLEANFAXDATA_UNCLEAN

    public static final int CLEANFAXDATA_UNCLEAN

### COLORRESPONSEUNIT_10S

    public static final int COLORRESPONSEUNIT_10S

### COLORRESPONSEUNIT_100S

    public static final int COLORRESPONSEUNIT_100S

### COLORRESPONSEUNIT_1000S

    public static final int COLORRESPONSEUNIT_1000S

### COLORRESPONSEUNIT_10000S

    public static final int COLORRESPONSEUNIT_10000S

### COLORRESPONSEUNIT_100000S

    public static final int COLORRESPONSEUNIT_100000S

### COMPRESSION_NONE

    public static final int COMPRESSION_NONE

### COMPRESSION_CCITT1D

    public static final int COMPRESSION_CCITT1D

### COMPRESSION_CCITTFAX3

    public static final int COMPRESSION_CCITTFAX3

### COMPRESSION_CCITTFAX4

    public static final int COMPRESSION_CCITTFAX4

### COMPRESSION_LZW

    public static final int COMPRESSION_LZW

### COMPRESSION_OJPEG

    public static final int COMPRESSION_OJPEG

### COMPRESSION_JPEG

    public static final int COMPRESSION_JPEG

### COMPRESSION_CCITTRLEW

    public static final int COMPRESSION_CCITTRLEW

### COMPRESSION_PACKBITS

    public static final int COMPRESSION_PACKBITS

### COMPRESSION_NEXT

    public static final int COMPRESSION_NEXT

### COMPRESSION_THUNDERSCAN

    public static final int COMPRESSION_THUNDERSCAN

### EXTRASAMPLE_UNSPECIFIED

    public static final int EXTRASAMPLE_UNSPECIFIED

### EXTRASAMPLE_ASSOCALPHA

    public static final int EXTRASAMPLE_ASSOCALPHA

### EXTRASAMPLE_UNASSALPHA

    public static final int EXTRASAMPLE_UNASSALPHA

### FILLORDER_MSB2LSB

    public static final int FILLORDER_MSB2LSB

### FILLORDER_LSB2MSB

    public static final int FILLORDER_LSB2MSB

### T4OPT_2DENCODING

    public static final int T4OPT_2DENCODING

### T4OPT_UNCOMPRESSED

    public static final int T4OPT_UNCOMPRESSED

### T4OPT_FILLBITS

    public static final int T4OPT_FILLBITS

### T6OPT_UNCOMPRESSED

    public static final int T6OPT_UNCOMPRESSED

### GRAYRESPONSEUNIT_10S

    public static final int GRAYRESPONSEUNIT_10S

### GRAYRESPONSEUNIT_100S

    public static final int GRAYRESPONSEUNIT_100S

### GRAYRESPONSEUNIT_1000S

    public static final int GRAYRESPONSEUNIT_1000S

### GRAYRESPONSEUNIT_10000S

    public static final int GRAYRESPONSEUNIT_10000S

### GRAYRESPONSEUNIT_100000S

    public static final int GRAYRESPONSEUNIT_100000S

### JPEGPROC_BASELINE

    public static final int JPEGPROC_BASELINE

### JPEGPROC_LOSSLESS

    public static final int JPEGPROC_LOSSLESS

### ORIENTATION_TOPLEFT

    public static final int ORIENTATION_TOPLEFT

  1 = The 0th row represents the visual top of the image, and the 0th column represents the visual left-hand side. 2 = The 0th row represents the visual top of the image, and the 0th column represents the visual right-hand side. 3 = The 0th row represents the visual bottom of the image, and the 0th column repre-sents the visual right-hand side. 4 = The 0th row represents the visual bottom of the image, and the 0th column repre-sents the visual left-hand side. 5 = The 0th row represents the visual left-hand side of the image, and the 0th column represents the visual top. 6 = The 0th row represents the visual right-hand side of the image, and the 0th column represents the visual top. 7 = The 0th row represents the visual right-hand side of the image, and the 0th column represents the visual bottom. 8 = The 0th row represents the visual left-hand side of the image, and the 0th column represents the visual bottom.

### ORIENTATION_TOPRIGHT

    public static final int ORIENTATION_TOPRIGHT

### ORIENTATION_BOTRIGHT

    public static final int ORIENTATION_BOTRIGHT

### ORIENTATION_BOTLEFT

    public static final int ORIENTATION_BOTLEFT

### ORIENTATION_LEFTTOP

    public static final int ORIENTATION_LEFTTOP

### ORIENTATION_RIGHTTOP

    public static final int ORIENTATION_RIGHTTOP

### ORIENTATION_RIGHTBOT

    public static final int ORIENTATION_RIGHTBOT

### ORIENTATION_LEFTBOT

    public static final int ORIENTATION_LEFTBOT

### PHOTOMETRIC_WHITEISZERO

    public static final int PHOTOMETRIC_WHITEISZERO

### PHOTOMETRIC_BLACKISZERO

    public static final int PHOTOMETRIC_BLACKISZERO

### PHOTOMETRIC_RGB

    public static final int PHOTOMETRIC_RGB

### PHOTOMETRIC_PALETTE

    public static final int PHOTOMETRIC_PALETTE

### PHOTOMETRIC_MASK

    public static final int PHOTOMETRIC_MASK

### PHOTOMETRIC_SEPERATED

    public static final int PHOTOMETRIC_SEPERATED

### PHOTOMETRIC_YCBCR

    public static final int PHOTOMETRIC_YCBCR

### PHOTOMETRIC_CIELAB

    public static final int PHOTOMETRIC_CIELAB

### PLANARCONFIG_CONTIG

    public static final int PLANARCONFIG_CONTIG

### PLANARCONFIG_SEPARATE

    public static final int PLANARCONFIG_SEPARATE

### RESUNIT_NONE

    public static final int RESUNIT_NONE

### RESUNIT_INCH

    public static final int RESUNIT_INCH

### RESUNIT_CENTIMETER

    public static final int RESUNIT_CENTIMETER

### SAMPLEFORMAT_UINT

    public static final int SAMPLEFORMAT_UINT

### SAMPLEFORMAT_INT

    public static final int SAMPLEFORMAT_INT

### SAMPLEFORMAT_IEEEFP

    public static final int SAMPLEFORMAT_IEEEFP

### SAMPLEFORMAT_VOID

    public static final int SAMPLEFORMAT_VOID

### THRESHHOLD_BILEVEL

    public static final int THRESHHOLD_BILEVEL

### THRESHHOLD_HALFTONE

    public static final int THRESHHOLD_HALFTONE

### THRESHOLD_ERRORDIFFUSE

    public static final int THRESHOLD_ERRORDIFFUSE

### OFILETYPE_IMAGE

    public static final int OFILETYPE_IMAGE

### OFILETYPE_REDUCEDIMAGE

    public static final int OFILETYPE_REDUCEDIMAGE

### OFILETYPE_PAGE

    public static final int OFILETYPE_PAGE

### FILETYPE_MASK

    public static final int FILETYPE_MASK

### FILETYPE_PAGE

    public static final int FILETYPE_PAGE

### FILETYPE_REDUCEDIMAGE

    public static final int FILETYPE_REDUCEDIMAGE

### ARTIST

    public static final int ARTIST

### BADFAXLINES

    public static final int BADFAXLINES

### BITSPERSAMPLE

    public static final int BITSPERSAMPLE

### CELLLENGTH

    public static final int CELLLENGTH

### CELLWIDTH

    public static final int CELLWIDTH

### CLEANFAXDATA

    public static final int CLEANFAXDATA

### COLORMAP

    public static final int COLORMAP

### COLORRESPONSEUNIT

    public static final int COLORRESPONSEUNIT

### COMPRESSION

    public static final int COMPRESSION

### CONSECUTIVEBADFAXLINES

    public static final int CONSECUTIVEBADFAXLINES

### COPYRIGHT

    public static final int COPYRIGHT

### DATETIME

    public static final int DATETIME

### DOCUMENTNAME

    public static final int DOCUMENTNAME

### DOTRANGE

    public static final int DOTRANGE

### EXTRASAMPLES

    public static final int EXTRASAMPLES

### FILLORDER

    public static final int FILLORDER

### FREEBYTECOUNTS

    public static final int FREEBYTECOUNTS

### FREEOFFSETS

    public static final int FREEOFFSETS

### GRAYRESPONSECURVE

    public static final int GRAYRESPONSECURVE

### GRAYRESPONSEUNIT

    public static final int GRAYRESPONSEUNIT

### HALFTONEHINTS

    public static final int HALFTONEHINTS

### HOSTCOMPUTER

    public static final int HOSTCOMPUTER

### IMAGEDESCRIPTION

    public static final int IMAGEDESCRIPTION

### IMAGELENGTH

    public static final int IMAGELENGTH

### IMAGEWIDTH

    public static final int IMAGEWIDTH

### INKNAMES

    public static final int INKNAMES

### INKSET

    public static final int INKSET

### JPEGACTABLES

    public static final int JPEGACTABLES

### JPEGDCTABLES

    public static final int JPEGDCTABLES

### JPEGINTERCHANGEFORMAT

    public static final int JPEGINTERCHANGEFORMAT

### JPEGINTERCHANGEFORMATLENGTH

    public static final int JPEGINTERCHANGEFORMATLENGTH

### JPEGLOSSLESSPREDICTORS

    public static final int JPEGLOSSLESSPREDICTORS

### JPEGPOINTTRANSFORMS

    public static final int JPEGPOINTTRANSFORMS

### JPEGPROC

    public static final int JPEGPROC

### JPEGRESTARTINTERVAL

    public static final int JPEGRESTARTINTERVAL

### JPEGQTABLES

    public static final int JPEGQTABLES

### MAKE

    public static final int MAKE

### MAXSAMPLEVALUE

    public static final int MAXSAMPLEVALUE

### MINSAMPLEVALUE

    public static final int MINSAMPLEVALUE

### MODEL

    public static final int MODEL

### NEWSUBFILETYPE

    public static final int NEWSUBFILETYPE

### NUMBEROFINKS

    public static final int NUMBEROFINKS

### ORIENTATION

    public static final int ORIENTATION

### PAGENAME

    public static final int PAGENAME

### PAGENUMBER

    public static final int PAGENUMBER

### PHOTOMETRICINTERPRETATION

    public static final int PHOTOMETRICINTERPRETATION

### PLANARCONFIGURATION

    public static final int PLANARCONFIGURATION

### PREDICTOR

    public static final int PREDICTOR

### PRIMARYCHROMATICITIES

    public static final int PRIMARYCHROMATICITIES

### REFERENCEBLACKWHITE

    public static final int REFERENCEBLACKWHITE

### RESOLUTIONUNIT

    public static final int RESOLUTIONUNIT

### ROWSPERSTRIP

    public static final int ROWSPERSTRIP

### SAMPLEFORMAT

    public static final int SAMPLEFORMAT

### SAMPLESPERPIXEL

    public static final int SAMPLESPERPIXEL

### SMAXSAMPLEVALUE

    public static final int SMAXSAMPLEVALUE

### SMINSAMPLEVALUE

    public static final int SMINSAMPLEVALUE

### SOFTWARE

    public static final int SOFTWARE

### STRIPBYTECOUNTS

    public static final int STRIPBYTECOUNTS

### STRIPOFFSETS

    public static final int STRIPOFFSETS

### SUBFILETYPE

    public static final int SUBFILETYPE

### T4OPTIONS

    public static final int T4OPTIONS

### T6OPTIONS

    public static final int T6OPTIONS

### TARGETPRINTER

    public static final int TARGETPRINTER

### THRESHHOLDING

    public static final int THRESHHOLDING

### TILEBYTECOUNTS

    public static final int TILEBYTECOUNTS

### TILELENGTH

    public static final int TILELENGTH

### TILEOFFSETS

    public static final int TILEOFFSETS

### TILEWIDTH

    public static final int TILEWIDTH

### TRANSFERFUNCTION

    public static final int TRANSFERFUNCTION

### TRANSFERRANGE

    public static final int TRANSFERRANGE

### XPOSITION

    public static final int XPOSITION

### XRESOLUTION

    public static final int XRESOLUTION

### YCBCRCOEFFICIENTS

    public static final int YCBCRCOEFFICIENTS

### YCBCRPOSITIONING

    public static final int YCBCRPOSITIONING

### YCBCRSUBSAMPLING

    public static final int YCBCRSUBSAMPLING

### YPOSITION

    public static final int YPOSITION

### YRESOLUTION

    public static final int YRESOLUTION

### WHITEPOINT

    public static final int WHITEPOINT

Constructor Detail

### TIFTags

    public TIFTags()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD